Subject: Re: passwd file entry missing
From: Bob McGowan <[email-masked]>
To: "David M. Karr" <[email-masked]>
Cc: Larry Hall <[email-masked]>
Date: Wed, 31 Jan 2001 16:21:13 -0800

Did you use the setup program on your machine and not his?  I believe it runs mkpasswd for you, if /etc/passwd does not exist.

"David M. Karr" wrote:
> 
> >>>>> "Larry" == Larry Hall <[email-masked]> writes:
>   Larry> At 06:29 PM 1/31/2001, David M. Karr wrote:
>   >> I've got Cygwin working fine on my PC.  I'm helping someone else set
>   >> up Cygwin on their PC.  I created a "/home/<username>", and set HOME
>   >> in control panel to "/home/<username>".  Most things work fine.
>   >> However, one odd thing is that the "id" program shows his userid as
>   >> "administrator".  I thought to look in the "/etc/passwd" file, and
>   >> compare it to what I have.  My "/etc/passwd" file has an entry for my
>   >> name, but his does not have an entry for his name.  Despite this
>   >> anomaly, I'm not quite sure what problems this might cause, if any.
>   >>
>   >> What are some reasons why he doesn't have a passwd file entry?  What
>   >> did I do to get an entry for me in my passwd file?  I know I didn't do
>   >> it manually.
> 
>   Larry> You ran mkpasswd.  Do so on the other (NT/W2K) machine and you should be
>   Larry> fine.
> 
> Uh, ok.  I just did "mkpasswd -l > /etc/passwd" on his PC, and now
> "id" and "whoami" give me something reasonable.  However, I'm quite
> sure I never did that on my system.  I think I remember reading about
> it in the manual, but I'm pretty sure I never explicitly ran it.
> 
> --
> ===================================================================
> David M. Karr     ; w:(425)487-8312     ; TCSI & Best Consulting
> [email-masked]    ; Java/Unix/XML/C++/X ; BrainBench CJ12P (#12004)
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple